DOMCharacterData::appendData
DOMCharacterData::insertData
DOMCharacterData
PHP Manual

# DOMCharacterData::deleteData

(PHP 5)

DOMCharacterData::deleteData — Remove a range of characters from the node

### Description

void DOMCharacterData::deleteData ( int `$offset` , int `$count` )

Deletes `count` characters starting from position `offset` .

### Parameters

`offset`

  The offset from which to start removing.

`count`

  The number of characters to delete. If the sum of `offset` and `count` exceeds the length, then all characters to the end of the data are deleted.

### Return Values

No value is returned.

### Errors/Exceptions

`DOM_INDEX_SIZE_ERR`

  Raised if `offset` is negative or greater than the number of 16-bit units in data, or if `count` is negative.

### See Also

- DOMCharacterData::appendData - Append the string to the end of the character data of the node
- DOMCharacterData::insertData - Insert a string at the specified 16-bit unit offset
- DOMCharacterData::replaceData - Replace a substring within the DOMCharacterData node
- DOMCharacterData::substringData - Extracts a range of data from the node

DOMCharacterData::appendData
DOMCharacterData::insertData
DOMCharacterData
PHP Manual